From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-astronomy/celestia/
Date: Sat, 11 Jan 2020 00:47:11 +0000 (UTC) [thread overview]
Message-ID: <1578703616.ff4801a202d133d2bf2650aa7cfc0dd4f6bf552c.asturm@gentoo> (raw)
commit: ff4801a202d133d2bf2650aa7cfc0dd4f6bf552c
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 11 00:25:30 2020 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Jan 11 00:46:56 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff4801a2
sci-astronomy/celestia: Drop USE gtk, switch to cmake.eclass
gtk still depended on ancient x11-libs/gtkglext.
Bug: https://bugs.gentoo.org/644334
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
sci-astronomy/celestia/celestia-9999.ebuild | 48 ++++++++++++-----------------
1 file changed, 19 insertions(+), 29 deletions(-)
diff --git a/sci-astronomy/celestia/celestia-9999.ebuild b/sci-astronomy/celestia/celestia-9999.ebuild
index cf7966b4a41..60ddc68e30f 100644
--- a/sci-astronomy/celestia/celestia-9999.ebuild
+++ b/sci-astronomy/celestia/celestia-9999.ebuild
@@ -1,26 +1,25 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-inherit desktop flag-o-matic xdg cmake-utils
-
-DESCRIPTION="OpenGL 3D space simulator"
-HOMEPAGE="https://celestia.space"
if [[ "${PV}" = 9999 ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/CelestiaProject/Celestia.git"
else
- # Old URI! Please update once we have a release > v1.6.1
- SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+ SRC_URI="https://github.com/${PN^}Project/${PN^}/archive/${PV/_/-}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
fi
+inherit desktop flag-o-matic xdg cmake
+
+DESCRIPTION="OpenGL 3D space simulator"
+HOMEPAGE="https://celestia.space"
LICENSE="GPL-2"
SLOT="0"
-IUSE="glut gtk nls +qt5 theora"
+IUSE="glut nls +qt5 theora"
-REQUIRED_USE="|| ( glut gtk qt5 )"
+REQUIRED_USE="|| ( glut qt5 )"
BDEPEND="
dev-cpp/eigen
@@ -36,12 +35,6 @@ DEPEND="
virtual/jpeg:0
virtual/opengl
glut? ( media-libs/freeglut )
- gtk? (
- x11-libs/gtk+:2
- >=x11-libs/gtkglext-1.0
- x11-libs/gdk-pixbuf:2
- x11-libs/pango
- )
qt5? (
dev-qt/qtcore:5
dev-qt/qtgui:5
@@ -62,7 +55,7 @@ PATCHES=(
)
src_prepare() {
- cmake-utils_src_prepare
+ cmake_src_prepare
filter-flags "-funroll-loops -frerun-loop-opt"
@@ -79,16 +72,16 @@ src_configure() {
-DENABLE_CELX=ON
-DENABLE_NLS="$(usex nls)"
-DENABLE_GLUT="$(usex glut)"
- -DENABLE_GTK="$(usex gtk)"
+ -DENABLE_GTK=OFF
-DENABLE_QT="$(usex qt5)"
-DENABLE_WIN=OFF
-DENABLE_THEORA="$(usex theora)"
)
- cmake-utils_src_configure
+ cmake_src_configure
}
src_install() {
- cmake-utils_src_install
+ cmake_src_install
local size
for size in 16 22 32 48 ; do
@@ -96,15 +89,12 @@ src_install() {
done
use glut && domenu ${PN}.desktop
- local ui
- for ui in gtk qt5 ; do
- if use ${ui} ; then
- sed \
- -e "/^Name/s@\$@ (${ui} interface)@" \
- -e "/^Exec/s@${PN}@${PN}-${ui/qt5/qt}@" \
- ${PN}.desktop > "${T}"/${PN}-${ui}.desktop || die
- domenu "${T}"/${PN}-${ui}.desktop
- fi
- done
+ if use qt5 ; then
+ sed \
+ -e "/^Name/s@\$@ (qt5 interface)@" \
+ -e "/^Exec/s@${PN}@${PN}-${ui/qt5/qt}@" \
+ ${PN}.desktop > "${T}"/${PN}-qt5.desktop || die
+ domenu "${T}"/${PN}-qt5.desktop
+ fi
dodoc AUTHORS README TRANSLATORS *.txt
}
next reply other threads:[~2020-01-11 0:47 UTC|newest]
Thread overview: 27+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-01-11 0:47 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-07 12:50 [gentoo-commits] repo/gentoo:master commit in: sci-astronomy/celestia/ Bernard Cafarelli
2024-12-22 11:55 Pacho Ramos
2023-07-08 10:46 Pacho Ramos
2023-02-18 13:55 Andreas Sturmlechner
2022-12-20 8:43 Pacho Ramos
2022-12-18 12:41 Andreas Sturmlechner
2022-10-25 12:56 Pacho Ramos
2022-10-25 12:56 Pacho Ramos
2022-10-25 12:56 Pacho Ramos
2022-07-06 19:33 Sam James
2022-07-06 19:27 Sam James
2022-01-23 9:07 Pacho Ramos
2022-01-22 11:52 Pacho Ramos
2022-01-08 17:13 Lars Wendler
2021-09-21 8:10 Michał Górny
2021-01-14 1:16 Lars Wendler
2020-12-03 13:50 Marek Szuba
2020-05-08 17:10 Lars Wendler
2020-03-22 1:02 Lars Wendler
2020-03-22 1:02 Lars Wendler
2020-01-22 22:11 Pacho Ramos
2020-01-22 8:41 Lars Wendler
2019-08-26 22:25 Lars Wendler
2019-02-17 12:39 Andreas Sturmlechner
2019-01-02 15:08 Lars Wendler
2018-05-15 10:25 Lars Wendler
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1578703616.ff4801a202d133d2bf2650aa7cfc0dd4f6bf552c.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox